Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1058898 - High CPU usage when laptop lid is closed [NEEDINFO]
Summary: High CPU usage when laptop lid is closed
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 19
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-28 17:45 UTC by Shawn Badger
Modified: 2014-06-23 14:40 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-23 14:40:29 UTC
jwboyer: needinfo? (shawnbadger)


Attachments (Terms of Use)

Description Shawn Badger 2014-01-28 17:45:52 UTC
Description of problem:
I have a 30" external monitor connected to my laptop, running gnome-shell on Fedora 19 with Nouvou driver.  When I close my laptop lid and just use the external monitor, CPU usage goes up to 100% without fail.  As soon as I open the laptop lid, CPU usage goes back to idle.


Version-Release number of selected component (if applicable):



How reproducible:
100%


Steps to Reproduce:
1.  Connect external monitor to laptop along with keyboard/mouse
2.  Close laptop lid completely and use external monitor to do work
3.  Run 'top' and see CPU usage dominated by kworker threads, open lid and watch those threads terminate immediately.

Actual results:


Expected results:


Additional info:
In a thread somewhere, someone mentioned that ACPI was likely the culprit.  It seemed as though events were being generated constantly while the lid was closed.

Comment 1 Ted Felix 2014-01-28 19:23:02 UTC
This is not likely to be an acpid issue.  More likely, this is a kernel issue.

You might be able to use kacpimon to help troubleshoot this.  Check the man page for kacpimon.  You should be able to use it to detect a flood of acpi events.

Comment 2 Jaroslav Škarvada 2014-02-17 15:56:58 UTC
(In reply to Ted Felix from comment #1)
> This is not likely to be an acpid issue.  More likely, this is a kernel
> issue.
> 
Agreed, reassigning to kernel.

Comment 3 Josh Boyer 2014-02-17 21:14:20 UTC
Is there anything that seems relevant in the dmesg output?  Which kernel version are you using?

Comment 4 Justin M. Forbes 2014-06-23 14:40:29 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.